
QGIS Application - Bug report #19119

Crash when trying to merge features

2018-06-05 09:46 PM - Antoine Lafranchis

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26949

Description

User Feedback

The merge selected features function in the advanced digitizing toolbar doesn't work.

It only happens with the style as in the attached project: the features of the same geopackage layer can be merged without any issue on a

new project. However when I copy paste the style from the original project, merging features becomes impossible and QGis crashes

instead.

Report Details

Crash ID: e86cd1145d8e698f9ae305df1d7291f3bc38677e

Stack Trace

QgsMergeAttributesDialog::featureAttribute :

QgsMergeAttributesDialog::refreshMergedValue :

QgsMergeAttributesDialog::createTableWidgetContents :

QgsMergeAttributesDialog::QgsMergeAttributesDialog :

QgisApp::mergeSelectedFeatures :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Associated revisions

Revision 71f3aaf3 - 2018-06-06 12:24 PM - Nyall Dawson

Fix crash in merge features dialog

Fixes #19119

History

#1 - 2018-06-06 12:47 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|71f3aaf39eb01d00fe70861e4bae7ad23e894699.

Files

merge test.qgs 16.1 KB 2018-06-05 Antoine Lafranchis

merge test.gpkg 800 KB 2018-06-05 Antoine Lafranchis

merge bug screenshot.png 94.2 KB 2018-06-05 Antoine Lafranchis
